<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Teilnehmer\Visitenkarten\VisitenkartenUebersicht\NeueVisitenkarteErstellen\Ajax4VisitenkartenErstellenAutoausfuellen;

class Ajax4NeueVisitenkartenAutomatischAusfuellenController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase()
  {
    return new Ajax4NeueVisitenkartenAutomatischAusfuellenUseCase($this->getRequestObj());
  }

  public function getPresenter($pUseCaseResponse)
  {
    return new Ajax4NeueVisitenkartenAutomatischAusfuellenPresenter($pUseCaseResponse);
  }

  protected function getRequestObj()
  {
    return new Ajax4NeueVisitenkartenAutomatischAusfuellenRequest();
  }
}